//       

{$APPTYPE CONSOLE}

const
  M = 1000000; //  
var
  N: integer;
  x1, y1, z1, x2, y2, z2, res: extended;
  i: integer;

  function tk(k: integer): extended; //k-  , k  0  M
  begin
    Result := N/M*k;
  end;

  procedure GetPoint(t: extended; var x, y, z: extended);
  begin
    x := sin(pi*t/N)*cos(2*pi*t);
    y := sin(pi*t/N)*sin(2*pi*t);
    z := cos(pi*t/N);
  end;

  function dist(x1, y1, z1, x2, y2, z2: extended): extended;
  begin
    Result := sqrt(sqr(x2-x1) + sqr(y2-y1) + sqr(z2-z1));
  end;

begin
  assign(input, 'input.txt');
  reset(input);
  assign(output, 'output.txt');
  rewrite(output);

  read(N);

  res := 0;
  for i := 0 to M-1 do
  begin
    GetPoint(tk(i), x1, y1, z1);
    GetPoint(tk(i+1), x2, y2, z2);
    res := res + dist(x1, y1, z1, x2, y2, z2);
  end;

  write(res:0:6);

  close(input);
  close(output);
end.
