#pragma comment(linker, "/STACK:100000000")
#include <cassert>
#include <cstdio>
#include <cstdlib>
#include <cstring>
#include <cctype>
#include <cmath>
#include <ctime>
#include <string>
#include <map>
#include <set>
#include <vector>
#include <queue>
#include <algorithm>
#include <iostream>
using namespace std;
#define int64 long long
#define ldb long double
#define pb push_back
#define mp make_pair
#define fs first
#define sc second
#define sz(a) ((int) (a).size())
#define eprintf(...) fprintf(stderr, __VA_ARGS__)
#define taskname "task_b"
const ldb pi = acos(-1.0);
const int iter = 1000 * 1000;

int main() {
	assert(freopen("input.txt", "r", stdin));
	assert(freopen("output.txt", "w", stdout));
	
	int n;

	cin >> n;
	double ans = 0.0;
	double t, h;
	h = 1.0 / iter;
	for (int i = 0; i < iter; i++) {
		t = i * 1.0 / iter + 0.5 / iter;
		ans += pi * sqrt(1.0 + 4.0 * n * n * sin(pi * t) * sin(pi * t)) * h;
	}

	cout.precision(20);
	cout << ans << endl;

	return 0;
}